#ifndef __OXTEXTVIEW_H
#define __OXTEXTVIEW_H

#include <stdio.h>

#include <xclass/OXClient.h>
#include <xclass/OXFrame.h>
#include <xclass/OXWidgets.h>
#include <xclass/OXScrollBar.h>

#include "OGC.h"
#include "OTextDoc.h"
#include "OXView.h"

class OXTextFrame : public OXViewDocFrame {

protected:
  OGC * _gclist;

public:
  OXTextFrame(OXWindow *parent, int w, int h, unsigned int options,
              unsigned long back);
  virtual ~OXTextFrame();

  OGC * GetGC(char * color);

  void Layout();

protected:
  //void DrawRegion(int x, int y, int w, int h);
};

#endif
